<?php
// Escape the title and safely format the description
$title = ($settings['heading']);
$description = ($settings['description']);
$text_align = !empty($settings['text_align_head_desc']) ?
	'text-align: ' . esc_attr($settings['text_align_head_desc']) . ';' : '';
$headingTag = !empty($settings['heading_tag']) ? $settings['heading_tag'] : 'h2';
?>
	<div
		class="wil-col-xs-12 wil-col-sm-12 wil-col-md-12 wil-col-lg-12"
	>
		<div class="wil-sb-heading" style="<?php echo esc_attr($text_align); ?>">
			<?php if (!empty($settings["heading"])): ?>
			<<?php echo esc_attr($headingTag); ?> class="wil-sb-heading__title">
			<?php echo esc_html($settings['heading']); ?>
		</<?php echo esc_attr($headingTag); ?>>
		<?php endif; ?>

		<?php if (!empty($settings["description"])): ?>
			<div class="wil-sb-heading__text">
				<p><?php echo wp_kses_post($settings['description']); ?></p>
			</div>
		<?php endif; ?>

		<div class="wil-sb-heading__space"></div>
	</div>
	</div>
<?php
