<?php

namespace WilokeShowcaseBenefits\Widgets;

class RegistrationController
{
	public function __construct()
	{
		add_action('elementor/frontend/after_register_styles', [$this, 'registerStyles']);

		add_action('elementor/widgets/register', [$this, 'registerWidgets']);
	}

	public function registerWidgets($oWidgetManager)
	{
		$oWidgetManager->register(new WilokeShowcaseBenefitsStyle1());
		$oWidgetManager->register(new WilokeShowcaseBenefitsStyle2());
		$oWidgetManager->register(new WilokeShowcaseBenefitsStyle3());
	}


	public function registerStyles()
	{
		wp_register_style(
			WILOKE_SHOWCASE_BENEFITS_ID . "-style",
			WILOKE_SHOWCASE_BENEFITS_URL . 'src/Source/style.css',
			[],
			WILOKE_SHOWCASE_BENEFITS_VERSION
		);
	}
}
