<?php

?>
<div
	class="wil-col-xs-0 wil-col-sm-0 wil-col-md-0 wil-col-lg-0"
>
	<div class="wil-row">
		<?php
		if (!empty($settings['image']['id'])) {
			$image_html = wp_get_attachment_image(
				$settings['image']['id'],
				'large', // or specify a custom image size
				false,
				[
					'loading' => 'lazy',
					'class'   => 'wil-sb-image__img',
					'alt'     => esc_attr(get_post_meta($settings['image']['id'], '_wp_attachment_image_alt', true))
				]
			);

			if (!empty($image_html)) {
				?>
				<div class="wil-col-xs-12 wil-col-sm-12 wil-col-md-12 wil-col-lg-4 wil-sb-image" style="order: 3">
					<a class="mb:30px@+sm" href="#" target="_blank">
						<?php echo $image_html; ?>
					</a>
				</div>
				<?php
			}
		}
		?>

		<div
			class="wil-col-xs-12 wil-col-sm-6 wil-col-md-6 wil-col-lg-4 wil-sb-list-1"
			style="order: 2"
		>
			<?php
			if (!empty($settings['left_items_list']) && is_array($settings['left_items_list'])) {
				foreach ($settings['left_items_list'] as $item) {
					?>
					<div class="wil-sb-list-item-1">
						<?php if (!empty($item['icon'])): ?>
							<span class="wil-sb-list-item-1__icon">
                        <i class="<?php echo esc_attr($item['icon']['value']); ?>"></i>
                    </span>
						<?php endif; ?>

						<div>
							<?php if (!empty($item['item_title'])): ?>
								<h3 class="wil-sb-list-item-1__title" >
									<?php echo esc_html($item['item_title']); ?>
								</h3>
							<?php endif; ?>

							<?php if (!empty($item['item_description'])): ?>
								<div class="wil-sb-list-item-1__content" style="font-size: 16px">
									<?php echo wp_kses_post($item['item_description']); ?>
								</div>
							<?php endif; ?>
						</div>
					</div>
					<?php
				}
			}
			?>
		</div>

		<div
			class="wil-col-xs-12 wil-col-sm-6 wil-col-md-6 wil-col-lg-4 wil-sb-list-1"
			style="order: 4"
		>
			<?php
			if (!empty($settings['right_items_list']) && is_array($settings['right_items_list'])) {
				foreach ($settings['right_items_list'] as $item) {
					?>
					<div class="wil-sb-list-item-1">
						<?php if (!empty($item['icon'])): ?>
							<span class="wil-sb-list-item-1__icon">
                        <i class="<?php echo esc_attr($item['icon']['value']); ?>"></i>
                    </span>
						<?php endif; ?>

						<div>
							<?php if (!empty($item['item_title'])): ?>
								<h3 class="wil-sb-list-item-1__title">
									<?php echo esc_html($item['item_title']); ?>
								</h3>
							<?php endif; ?>

							<?php if (!empty($item['item_description'])): ?>
								<div class="wil-sb-list-item-1__content" style="font-size: 16px">
									<?php echo wp_kses_post($item['item_description']); ?>
								</div>
							<?php endif; ?>
						</div>
					</div>
					<?php
				}
			}
			?>
		</div>
	</div>
</div>
