<?php
if (!empty($settings['view_more_button_name']) || !empty($settings['view_more_button_icon'])) {
	$button_target = !empty($settings['view_more_button_link']['is_external']) ? '_blank' : '_self';
	$button_url = !empty($settings['view_more_button_link']['url']) ? esc_url($settings['view_more_button_link']['url']) :
		'#';
	$button_text_color = !empty($settings['view_more_button_color']) ?
		'color: ' . esc_attr($settings['view_more_button_color']) . ';' : '';
	$button_background_color = !empty($settings['view_more_button_background_color']) ?
		'background-color: ' . esc_attr($settings['view_more_button_background_color']) . ';' : '';
	$button_text_align = !empty($settings['view_more_button_text_align']) ?
		'text-align: ' . esc_attr($settings['view_more_button_text_align']) . ';' : 'text-align: center;';

	?>
	<div style="<?php echo $button_text_align; ?>">
		<a class="wil-sb-button" href="<?php echo $button_url; ?>" target="<?php echo esc_attr($button_target); ?>" style="<?php echo $button_text_color .
			$button_background_color; ?>">
			<?php if (!empty($settings['view_more_button_name'])): ?>
				<span class="fz-18px"><?php echo esc_html($settings['view_more_button_name']); ?></span>
			<?php endif; ?>
			<?php if (!empty($settings['view_more_button_icon']['value'])): ?>
				<span><i class="<?php echo esc_attr($settings['view_more_button_icon']['value']); ?>"></i></span>
			<?php endif; ?>
		</a>
	</div>
	<?php
}
